org.apache.solr.common.params

## Interface AutoScalingParams

    public interface AutoScalingParams

Requests parameters for autoscaling.

### Field Summary

Fields
`static String` `ACTION_THROTTLE_PERIOD_SECONDS`
`static String` `ACTIONS`
`static String` `AFTER_ACTION`
`static String` `BEFORE_ACTION`
`static String` `CLASS`
`static String` `CMD_REMOVE_LISTENER`
`static String` `CMD_REMOVE_POLICY`
`static String` `CMD_REMOVE_TRIGGER`
`static String` `CMD_RESUME_TRIGGER`
`static String` `CMD_SET_CLUSTER_POLICY`
`static String` `CMD_SET_CLUSTER_PREFERENCES`
`static String` `CMD_SET_LISTENER`
`static String` `CMD_SET_POLICY`
`static String` `CMD_SET_PROPERTIES`
`static String` `CMD_SET_TRIGGER`
`static String` `CMD_SUSPEND_TRIGGER`
`static String` `COLLECTION`
`static String` `DIAGNOSTICS`
`static String` `ENABLED`
`static String` `EVENT`
`static String` `HANDLER`
`static String` `LOWER_BOUND`
`static String` `NAME`
`static String` `NODE`
`static String` `RATE`
`static String` `REMOVE_LISTENERS`
`static String` `REPLICA`
`static String` `RESUME_AT`
`static String` `SHARD`
`static String` `STAGE`
`static String` `SUGGESTIONS`
`static String` `TIMEOUT`
`static String` `TRIGGER`
`static String` `TRIGGER_COOLDOWN_PERIOD_SECONDS`
`static String` `TRIGGER_CORE_POOL_SIZE`
`static String` `TRIGGER_SCHEDULE_DELAY_SECONDS`
`static String` `UPPER_BOUND`
`static String` `WAIT_FOR`
`static String` `ZK_VERSION`

### Field Detail

#### DIAGNOSTICS

    static final String DIAGNOSTICS

See Also:
  Constant Field Values

#### SUGGESTIONS

    static final String SUGGESTIONS

See Also:
  Constant Field Values

#### NAME

    static final String NAME

See Also:
  Constant Field Values

#### TRIGGER

    static final String TRIGGER

See Also:
  Constant Field Values

#### EVENT

    static final String EVENT

See Also:
  Constant Field Values

#### ACTIONS

    static final String ACTIONS

See Also:
  Constant Field Values

#### WAIT_FOR

    static final String WAIT_FOR

See Also:
  Constant Field Values

#### LOWER_BOUND

    static final String LOWER_BOUND

See Also:
  Constant Field Values

#### UPPER_BOUND

    static final String UPPER_BOUND

See Also:
  Constant Field Values

#### STAGE

    static final String STAGE

See Also:
  Constant Field Values

#### CLASS

    static final String CLASS

See Also:
  Constant Field Values

#### ENABLED

    static final String ENABLED

See Also:
  Constant Field Values

#### RESUME_AT

    static final String RESUME_AT

See Also:
  Constant Field Values

#### BEFORE_ACTION

    static final String BEFORE_ACTION

See Also:
  Constant Field Values

#### AFTER_ACTION

    static final String AFTER_ACTION

See Also:
  Constant Field Values

#### TIMEOUT

    static final String TIMEOUT

See Also:
  Constant Field Values

#### COLLECTION

    static final String COLLECTION

See Also:
  Constant Field Values

#### SHARD

    static final String SHARD

See Also:
  Constant Field Values

#### REPLICA

    static final String REPLICA

See Also:
  Constant Field Values

#### NODE

    static final String NODE

See Also:
  Constant Field Values

#### HANDLER

    static final String HANDLER

See Also:
  Constant Field Values

#### RATE

    static final String RATE

See Also:
  Constant Field Values

#### REMOVE_LISTENERS

    static final String REMOVE_LISTENERS

See Also:
  Constant Field Values

#### ZK_VERSION

    static final String ZK_VERSION

See Also:
  Constant Field Values

#### CMD_SET_TRIGGER

    static final String CMD_SET_TRIGGER

See Also:
  Constant Field Values

#### CMD_REMOVE_TRIGGER

    static final String CMD_REMOVE_TRIGGER

See Also:
  Constant Field Values

#### CMD_SET_LISTENER

    static final String CMD_SET_LISTENER

See Also:
  Constant Field Values

#### CMD_REMOVE_LISTENER

    static final String CMD_REMOVE_LISTENER

See Also:
  Constant Field Values

#### CMD_SUSPEND_TRIGGER

    static final String CMD_SUSPEND_TRIGGER

See Also:
  Constant Field Values

#### CMD_RESUME_TRIGGER

    static final String CMD_RESUME_TRIGGER

See Also:
  Constant Field Values

#### CMD_SET_POLICY

    static final String CMD_SET_POLICY

See Also:
  Constant Field Values

#### CMD_REMOVE_POLICY

    static final String CMD_REMOVE_POLICY

See Also:
  Constant Field Values

#### CMD_SET_CLUSTER_PREFERENCES

    static final String CMD_SET_CLUSTER_PREFERENCES

See Also:
  Constant Field Values

#### CMD_SET_CLUSTER_POLICY

    static final String CMD_SET_CLUSTER_POLICY

See Also:
  Constant Field Values

#### CMD_SET_PROPERTIES

    static final String CMD_SET_PROPERTIES

See Also:
  Constant Field Values

#### TRIGGER_SCHEDULE_DELAY_SECONDS

    static final String TRIGGER_SCHEDULE_DELAY_SECONDS

See Also:
  Constant Field Values

#### TRIGGER_COOLDOWN_PERIOD_SECONDS

    static final String TRIGGER_COOLDOWN_PERIOD_SECONDS

See Also:
  Constant Field Values

#### TRIGGER_CORE_POOL_SIZE

    static final String TRIGGER_CORE_POOL_SIZE

See Also:
  Constant Field Values

#### ACTION_THROTTLE_PERIOD_SECONDS

    static final String ACTION_THROTTLE_PERIOD_SECONDS

See Also:
  Constant Field Values